
Installer - Refactor #36620

Puppet module for Puppet should use "allowlist" instead of "whitelist"

07/28/2023 04:31 PM - Trey Dockendorf

Status: Closed   

Priority: Normal   

Assignee: Trey Dockendorf   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pu

ppet/pull/881,

https://github.com/theforeman/foreman-i

nstaller/pull/873

  

Description

The usage of "whitelist" in Puppet module for Puppet should be converted to "allowlist" to more closely match what these parameters

are doing and also to use more inclusive terms.

Related issues:

Has duplicate Installer - Feature #35984: Depricate 'whitelist/blacklist' in ... Duplicate

Associated revisions

Revision 48236790 - 08/08/2023 12:54 PM - Trey Dockendorf 

Refs #36620 - Replace whitelist with allowlist

Revision 0b02e1f4 - 08/08/2023 12:55 PM - Trey Dockendorf 

Fixes #36620 - Puppet module replace whitelist with allowlist

History

#1 - 07/28/2023 04:32 PM - Trey Dockendorf

- Tracker changed from Bug to Feature

#2 - 07/28/2023 04:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Trey Dockendorf

- Pull request https://github.com/theforeman/puppet-puppet/pull/881 added

#3 - 07/28/2023 04:53 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/873 added

#4 - 08/08/2023 12:55 PM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#5 - 08/08/2023 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset installer|0b02e1f43de039cc1dcd1d26008fffcfbceeb18c.

#6 - 08/30/2023 10:30 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #35984: Depricate 'whitelist/blacklist' in puppet-puppet module added

#7 - 09/11/2023 10:32 AM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/0b02e1f43de039cc1dcd1d26008fffcfbceeb18c


- Tracker changed from Feature to Refactor

- Triaged changed from No to Yes
